Welcome to Squishdot How-To Newbies Squishdot
 about
 search
 post article
 Documentation
 Mailing Lists
 Bug Tracking
 Development
 Installation
 Upgrading
 Download
 admin
 rdf

 main


Will Squishdot ever be compatible with Zope version 2.4.0?
Squishdot Posted by Oliver Richter on Thursday August 16, 09:22PM, 2001
from the this-is-bad-and-should-be-addressed dept.
Will Squishdot ever be compatible with Zope version 2.4.0? or will we have to wait for Swishdot? Thanks for all your great work! Squishdot is awesome!

<  |  >

 

Related Links
  • Articles on Squishdot
  • Also by Oliver Richter
  • Contact author
  • The Fine Print: The following comments are owned by whoever posted them.
    ( Reply )

    Yes!
    by Chris Withers on Friday August 17, 05:34PM, 2001
    It already is in CVS.

    And I'm getting mighty pissed off at the number of people posting the same crappy duplicate bugs ESPECIALLY given that it asks you not to post bugs in BRIGHT RED letters on Squishdot.org's front page.

    Well, I guess that's what the moderation feature is for: I can delete 'em all before they spam up the site.

    Oh yeah, people could check the bugs on SourceForge before posting duplicates there too!

    rant over,

    Chris

    PS: I don't get paid to maintain Squishdot, so be patient or fix the bugs yourself ;-)
    [ Reply to this ]
    • Anti-Bug Report
      by Darrick Wong on Sunday August 19, 07:21PM, 2001
      Bugs with Squishdot resulting Zope 2.4.0? Sorry to be trollish, but I've never seen any problems with Squishdot that related to 2.4.0...

      ...for that matter, I've still not gotten #431177 and #435029 to show up. (But #434659 bit us at some point...but that happens on Zope 2.3.x)

      ...although I will remark that a whole lot of other stuff broke when we upgraded the machine to Zope 2.4.0 <cough>PyPAM<cough>(but that's fixed now)
      [ Reply to this ]
    Re: Will Squishdot ever be compatible with Zope version 2.4.0?
    by Mike McKechnie on Thursday August 23, 01:53PM, 2001

    The fix to the released SquishDot is easy...

    I edited my copy of SquishSite.py and changed every invocation of self._calendar.addIndex() to self.addIndex(), and then Squishdot 1.2.1, TinyTableB2 and Zope 2.4.0 all worked together just fine.

    Note that 1.2.1 uses version 1.22 of SquishSite.py, and (as Chris Withers points out) the CVS version is fixed.

    [ Reply to this ]
    Re: Will Squishdot ever be compatible with Zope version 2.4.0?
    by James Skarzinskas on Monday September 10, 03:35AM, 2001
    Funny, I use Squishdot with Zope 2.4.0; and it works flawlessly.
    [ Reply to this ]
    The Fine Print: The following comments are owned by whoever posted them.
    ( Reply )

    Powered by Zope  Squishdot Powered
      "Any system that depends on reliability is unreliable." -- Nogg's Postulate
    All trademarks and copyrights on this page are owned by their respective companies. Comments are owned by the Poster. The Rest ©1999 Butch Landingin, ©2000-2002 Chris Withers.